使用flume 1.6使用自带的org.apache.flume.sink.kafka.KafkaSink 向 kafka 0.8.x 写入时报错(已解决)


1477736299866.png



1477736390688.png


 
已邀请:
相关配置:

fish - Hadooper

线索太少,Broker中有什么log么?
kafka在state-change.log中有报错

fish - Hadooper

broker是不是不太正常?
好像是吧。
kafka server端会报这个错误。。。
跟这个帖子遇到的问题是一样的:
http://www.aboutyun.com/thread-18805-1-1.html
感觉是cdh版本的flume的原因。。。。
茂老师,咱们训练营提供的flume是什么版本的?就是用yum安装的那个。
无语了,是cdh版本的问题,apache原版的1.6没有问题。。。。。。

要回复问题请先登录注册